"use client";

import { ReactElement } from "react";
import { Button } from "@/app/components/ui/button";
import { ArrowPathIcon } from "@heroicons/react/16/solid";
import { Tooltip, TooltipContent, TooltipTrigger } from "@/app/components/ui/tooltip";

export function ReloadPageButton(): ReactElement {
  /**
   * Reload the page.
   */
  function reload(): void {
    window.location.reload();
  }

  return (
    <Tooltip>
      <TooltipTrigger asChild>
        <Button onClick={() => reload()}>
          <ArrowPathIcon className="w-4 h-4" />
        </Button>
      </TooltipTrigger>
      <TooltipContent>
        <p>Reload the page</p>
      </TooltipContent>
    </Tooltip>
  );
}
